Bug 877647 - Wrong setting of exec highlight
Wrong setting of exec highlight
Status: CLOSED CURRENTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: cgit (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Todd Zullinger
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-17 11:27 EST by Matěj Cepl
Modified: 2012-12-02 14:35 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-23 02:18:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2012-11-17 11:27:28 EST
Description of problem:

See the bottom of /usr/libexec/cgit/filters/syntax-highlighting.sh

# highlight versions 2 and 3 have different commandline options. Specifically,
# the -X option that is used for version 2 is replaced by the -O xhtml option
# for version 3.
#
# Version 2 can be found (for example) on EPEL 5, while version 3 can be
# found (for example) on EPEL 6.
#
# This is for version 2
exec highlight --force -f -I -X -S "$EXTENSION" 2>/dev/null

# This is for version 3
#exec highlight --force -f -I -O xhtml -S "$EXTENSION" 2>/dev/null

Comment itself says that the other line should be uncommented for EPEL 6

Version-Release number of selected component (if applicable):
cgit-0.9.1-1.el6.i686

How reproducible:
100%

Steps to Reproduce:
1.Try to show any file with syntax highlighting enabled
(e.g., http://luther.ceplovi.cz/git/FlaskPodcatcher.git/tree/seed.py)
2.
3.
  
Actual results:
Error 500

Expected results:
Nicely highlighted file

Additional info:
Comment 1 Kevin Fenzi 2012-11-17 13:02:58 EST
Humf. I thought upstream defaulted to v3, but apparently not. ;( 

(also, it would be nice if they just detected this at compile time)

Oh well, no matter... updates on the way. Thanks for spotting this!
Comment 2 Fedora Update System 2012-11-17 13:13:08 EST
cgit-0.9.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/cgit-0.9.1-2.fc18
Comment 3 Fedora Update System 2012-11-17 13:25:52 EST
cgit-0.9.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/cgit-0.9.1-2.fc17
Comment 4 Fedora Update System 2012-11-17 13:38:22 EST
cgit-0.9.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cgit-0.9.1-2.el6
Comment 5 Fedora Update System 2012-11-17 13:39:14 EST
cgit-0.9.1-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/cgit-0.9.1-2.fc16
Comment 6 Fedora Update System 2012-11-17 14:48:40 EST
Package cgit-0.9.1-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing cgit-0.9.1-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-13495/cgit-0.9.1-2.el6
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-11-23 02:18:11 EST
cgit-0.9.1-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-11-28 06:28:24 EST
cgit-0.9.1-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-11-28 06:45:43 EST
cgit-0.9.1-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-12-02 14:35:51 EST
cgit-0.9.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.